package com.ssj.service.weixin.problem.service.impl;

import com.ssj.bean.weixin.problem.domain.ArticeMatterSolution;
import com.ssj.dao.weixin.problem.dao.ArticeMatterSolutionDao;
import com.ssj.dao.weixin.problem.dao.YdzQueryDao;
import com.ssj.framework.core.common.service.BaseServiceImpl;
import com.ssj.service.weixin.problem.service.ArticeMatterSolutionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;


@Service
@Transactional
public class ArticeMatterSolutionSerivceInpl extends BaseServiceImpl<ArticeMatterSolution, String> implements ArticeMatterSolutionService{
	@Autowired
	private ArticeMatterSolutionDao  solutionDao;
	@Autowired
	private YdzQueryDao  ydzQueryDao;
	@Override
	public PagingAndSortingRepository<ArticeMatterSolution, String> getDao() {
		return solutionDao;
	}
	@Override
	public Page<Map<String, Object>> findSolutionPage(
			Map<String, Object> searchParams, Pageable pageable) {
		return ydzQueryDao.findSolutionPage(searchParams, pageable);
	}
	@Override
	public Integer countType() {
		return (int) solutionDao.count();
	}
	@Override
	public void updatenum(String id, Integer sequence) {
		solutionDao.updatenum(id, sequence);
		
	}

}
